Conversations

Conversations are an essential part of Oblic — they are the containers for the messages between you, your contacts, and groups. On this page, we’ll dive into the different conversation endpoints you can use to manage conversations programmatically. We'll look at how to query, create, update, and delete conversations.

The conversation model

The conversation model contains all the information about the conversations between you and your contacts. In addition, conversations can also be group-based with more than one contact, they can have a pinned message, and they can be muted.

Properties

  • नाव
    id
    प्रकार
    string
    वर्णन

    Unique identifier for the conversation.

  • नाव
    contact_id
    प्रकार
    string
    वर्णन

    Unique identifier for the other contact in the conversation.

  • नाव
    group_id
    प्रकार
    string
    वर्णन

    Unique identifier for the group that the conversation belongs to.

  • नाव
    pinned_message_id
    प्रकार
    string
    वर्णन

    Unique identifier for the pinned message.

  • नाव
    is_pinned
    प्रकार
    boolean
    वर्णन

    Whether or not the conversation has been pinned.

  • नाव
    is_muted
    प्रकार
    boolean
    वर्णन

    Whether or not the conversation has been muted.

  • नाव
    last_active_at
    प्रकार
    timestamp
    वर्णन

    Timestamp of when the conversation was last active.

  • नाव
    last_opened_at
    प्रकार
    timestamp
    वर्णन

    Timestamp of when the conversation was last opened by the authenticated user.

  • नाव
    created_at
    प्रकार
    timestamp
    वर्णन

    Timestamp of when the conversation was created.

  • नाव
    archived_at
    प्रकार
    timestamp
    वर्णन

    Timestamp of when the conversation was archived.


GET/v1/conversations

List all conversations

This endpoint allows you to retrieve a paginated list of all your conversations. By default, a maximum of ten conversations are shown per page.

Optional attributes

  • नाव
    limit
    प्रकार
    integer
    वर्णन

    Limit the number of conversations returned.

  • नाव
    muted
    प्रकार
    boolean
    वर्णन

    Only show conversations that are muted when set to true.

  • नाव
    archived
    प्रकार
    boolean
    वर्णन

    Only show conversations that are archived when set to true.

  • नाव
    pinned
    प्रकार
    boolean
    वर्णन

    Only show conversations that are pinned when set to true.

  • नाव
    group_id
    प्रकार
    string
    वर्णन

    Only show conversations for the specified group.

Request

GET
/v1/conversations
curl -G https://api.oblic.app/external/conversations \
  -H "Authorization: Bearer {token}" \
  -d limit=10

Response

{
  "has_more": false,
  "data": [
    {
      "id": "xgQQXg3hrtjh7AvZ",
      "contact_id": "WAz8eIbvDR60rouK",
      "group_id": null,
      "pinned_message_id": null,
      "is_pinned": false,
      "is_muted": false,
      "last_active_at": 705103200,
      "last_opened_at": 705103200,
      "created_at": 692233200,
      "archived_at": null
    },
    {
      "id": "hSIhXBhNe8X1d8Et"
      // ...
    }
  ]
}

POST/v1/conversations

Create a conversation

This endpoint allows you to add a new conversation between you and a contact or group. A contact or group id is required to create a conversation.

Required attributes

  • नाव
    contact_id
    प्रकार
    string
    वर्णन

    Unique identifier for the other contact in the conversation.

  • नाव
    group_id
    प्रकार
    string
    वर्णन

    Unique identifier for the group that the conversation belongs to.

Request

POST
/v1/conversations
curl https://api.oblic.app/external/conversations \
  -H "Authorization: Bearer {token}" \
  -d 'contact_id'="WAz8eIbvDR60rouK"

Response

{
  "id": "xgQQXg3hrtjh7AvZ",
  "contact_id": "WAz8eIbvDR60rouK",
  "group_id": null,
  "pinned_message_id": null,
  "is_pinned": false,
  "is_muted": false,
  "last_active_at": null,
  "last_opened_at": null,
  "created_at": 692233200,
  "archived_at": null
}

GET/v1/conversations/:id

Retrieve a conversation

This endpoint allows you to retrieve a conversation by providing the conversation id. Refer to the list at the top of this page to see which properties are included with conversation objects.

Request

GET
/v1/conversations/xgQQXg3hrtjh7AvZ
curl https://api.oblic.app/external/conversations/xgQQXg3hrtjh7AvZ \
  -H "Authorization: Bearer {token}"

Response

{
  "id": "xgQQXg3hrtjh7AvZ",
  "contact_id": "WAz8eIbvDR60rouK",
  "group_id": null,
  "pinned_message_id": null,
  "is_pinned": false,
  "is_muted": false,
  "last_active_at": 705103200,
  "last_opened_at": 705103200,
  "created_at": 692233200,
  "archived_at": null
}

PUT/v1/conversations/:id

Update a conversation

This endpoint allows you to perform an update on a conversation. Examples of updates are pinning a message, muting or archiving the conversation, or pinning the conversation itself.

Optional attributes

  • नाव
    pinned_message_id
    प्रकार
    string
    वर्णन

    Unique identifier for the pinned message.

  • नाव
    is_pinned
    प्रकार
    boolean
    वर्णन

    Whether or not the conversation has been pinned.

  • नाव
    is_muted
    प्रकार
    boolean
    वर्णन

    Whether or not the conversation has been muted.

  • नाव
    archived_at
    प्रकार
    timestamp
    वर्णन

    Timestamp of when the conversation was archived.

Request

PUT
/v1/conversations/xgQQXg3hrtjh7AvZ
curl -X PUT https://api.oblic.app/external/conversations/xgQQXg3hrtjh7AvZ \
  -H "Authorization: Bearer {token}" \
  -d 'is_muted'=true

Response

{
  "id": "xgQQXg3hrtjh7AvZ",
  "contact_id": "WAz8eIbvDR60rouK",
  "group_id": null,
  "pinned_message_id": null,
  "is_pinned": false,
  "is_muted": true,
  "last_active_at": 705103200,
  "last_opened_at": 705103200,
  "created_at": 692233200,
  "archived_at": null
}

DELETE/v1/conversations/:id

Delete a conversation

This endpoint allows you to delete your conversations in Oblic. Note: This will permanently delete the conversation and all its messages — archive it instead if you want to be able to restore it later.

Request

DELETE
/v1/conversations/xgQQXg3hrtjh7AvZ
curl -X DELETE https://api.oblic.app/external/conversations/xgQQXg3hrtjh7AvZ \
  -H "Authorization: Bearer {token}"
हे पृष्ठ उपयुक्त होते का?

Note: This page is not yet available in your language. Showing English version.